You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@airflow.apache.org by as...@apache.org on 2021/05/10 08:45:18 UTC

[airflow-ci-infra] branch docker-login-worker-pre-start created (now 86a19d7)

This is an automated email from the ASF dual-hosted git repository.

ash pushed a change to branch docker-login-worker-pre-start
in repository https://gitbox.apache.org/repos/asf/airflow-ci-infra.git.


      at 86a19d7  Perform a docker login before starting the actions runner script

This branch includes the following new commits:

     new 86a19d7  Perform a docker login before starting the actions runner script

The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


[airflow-ci-infra] 01/01: Perform a docker login before starting the actions runner script

Posted by as...@apache.org.
This is an automated email from the ASF dual-hosted git repository.

ash pushed a commit to branch docker-login-worker-pre-start
in repository https://gitbox.apache.org/repos/asf/airflow-ci-infra.git

commit 86a19d79f8fc6c1bfbf6b5f011d19c66eeb78509
Author: Ash Berlin-Taylor <as...@firemirror.com>
AuthorDate: Mon May 10 09:43:42 2021 +0100

    Perform a docker login before starting the actions runner script
    
    This was done in the cloud-init, but missed from the migration to packer
    build scripts.
---
 github-runner-ami/packer/files/runner-cleanup-workdir.sh | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/github-runner-ami/packer/files/runner-cleanup-workdir.sh b/github-runner-ami/packer/files/runner-cleanup-workdir.sh
index 7a1e8e8..41ae1c7 100644
--- a/github-runner-ami/packer/files/runner-cleanup-workdir.sh
+++ b/github-runner-ami/packer/files/runner-cleanup-workdir.sh
@@ -16,10 +16,16 @@
 # specific language governing permissions and limitations
 # under the License.
 
+set -eu -o pipefail
 echo "Left-over containers:"
 docker ps -a
 docker ps -qa | xargs --verbose --no-run-if-empty docker rm -fv
 
+echo "Log in to a paid docker user to get unlimited docker pulls"
+aws ssm get-parameter --with-decryption --name /runners/apache/airflow/dockerPassword | \
+    jq .Parameter.Value -r | \
+    sudo -u runner docker login --username airflowcirunners --password-stdin
+
 if [[ -d ~runner/actions-runner/_work/airflow/airflow ]]; then
     cd ~runner/actions-runner/_work/airflow/airflow